# Class CSS2FontPropertiesImpl

java.lang.Object
org.eclipse.e4.ui.css.core.dom.properties.css2.CSS2FontPropertiesImpl

All Implemented Interfaces:
  `CSS2FontProperties, CSSValue`

public class CSS2FontPropertiesImpl extends Object implements CSS2FontProperties

## Field Summary

### Fields inherited from interface CSSValue

`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

## Constructor Summary

Constructors
Constructor
Description
`CSS2FontPropertiesImpl()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCssText()`
`short`
`getCssValueType()`
`CSSPrimitiveValue`
`getFamily()`
`CSSPrimitiveValue`
`getSize()`
`CSSPrimitiveValue`
`getSizeAdjust()`
`CSSPrimitiveValue`
`getStretch()`
`CSSPrimitiveValue`
`getStyle()`
`CSSPrimitiveValue`
`getVariant()`
`CSSPrimitiveValue`
`getWeight()`
`void`
`setCssText(String arg0)`
`void`
`setFamily(CSSPrimitiveValue family)`
`void`
`setSize(CSSPrimitiveValue size)`
`void`
`setSizeAdjust(CSSPrimitiveValue sizeAdjust)`
`void`
`setStretch(CSSPrimitiveValue stretch)`
`void`
`setStyle(CSSPrimitiveValue style)`
`void`
`setVariant(CSSPrimitiveValue variant)`
`void`
`setWeight(CSSPrimitiveValue weight)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSS2FontPropertiesImpl

public CSS2FontPropertiesImpl()

## Method Details

### getFamily

public CSSPrimitiveValue getFamily()

Specified by:
  `getFamily` in interface `CSS2FontProperties`

### setFamily

public void setFamily(CSSPrimitiveValue family)

Specified by:
  `setFamily` in interface `CSS2FontProperties`

### getSize

public CSSPrimitiveValue getSize()

Specified by:
  `getSize` in interface `CSS2FontProperties`

### setSize

public void setSize(CSSPrimitiveValue size)

Specified by:
  `setSize` in interface `CSS2FontProperties`

### getSizeAdjust

public CSSPrimitiveValue getSizeAdjust()

Specified by:
  `getSizeAdjust` in interface `CSS2FontProperties`

### setSizeAdjust

public void setSizeAdjust(CSSPrimitiveValue sizeAdjust)

Specified by:
  `setSizeAdjust` in interface `CSS2FontProperties`

### getWeight

public CSSPrimitiveValue getWeight()

Specified by:
  `getWeight` in interface `CSS2FontProperties`

### setWeight

public void setWeight(CSSPrimitiveValue weight)

Specified by:
  `setWeight` in interface `CSS2FontProperties`

### getStyle

public CSSPrimitiveValue getStyle()

Specified by:
  `getStyle` in interface `CSS2FontProperties`

### setStyle

public void setStyle(CSSPrimitiveValue style)

Specified by:
  `setStyle` in interface `CSS2FontProperties`

### getVariant

public CSSPrimitiveValue getVariant()

Specified by:
  `getVariant` in interface `CSS2FontProperties`

### setVariant

public void setVariant(CSSPrimitiveValue variant)

Specified by:
  `setVariant` in interface `CSS2FontProperties`

### getStretch

public CSSPrimitiveValue getStretch()

Specified by:
  `getStretch` in interface `CSS2FontProperties`

### setStretch

public void setStretch(CSSPrimitiveValue stretch)

Specified by:
  `setStretch` in interface `CSS2FontProperties`

### getCssText

public String getCssText()

Specified by:
  `getCssText` in interface `CSSValue`

### getCssValueType

public short getCssValueType()

Specified by:
  `getCssValueType` in interface `CSSValue`

### setCssText

public void setCssText(String arg0) throws DOMException

Specified by:
  `setCssText` in interface `CSSValue`
Throws:
  `DOMException`